var productStore = new kendo.data.DataSource({
    batch: true,
    pageSize: 25,
    transport: {
        create: {
            url: "/Home/CreateProduct", //(/ControllerName/ActionName)
            type: "POST"
        },
        read: {
            url: "/Home/GetProducts",
            type: "POST"
        },
        update: {
            url: "/Home/UpdateProduct",
            type: "POST"
        },
        destroy: {
            url: "/Home/DeleteProduct",
            type: "POST"
        },
        parameterMap: function (data, operation) {
            var result = {};
            // For update and create send the entire object
            if (operation === "update" || operation === "create") {
                for (var i = 0; i < data.models.length; i++) {
                    var product = data.models[i];
                    for (var member in product) {
                        result["products[" + i + "]." + member] = product[member];
                    }
                }
                return result;
            // for destroy we only need to pass the id
            } else if (operation === "destroy") {
                result["productId"] = data.models[0].ProductID;
                return result;
            }
            return null;
        }
    },
    schema: {
        model: productModel
    }
})